//
//  SoxHandler.h
//  Amber-X
//
//  Created by richmond on 12/1/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class AmberView;
@interface SoxHandler : NSObject {
	NSTask * task;
	NSFileHandle * taskOutput;
	NSPipe * outputPipe;
	NSFileHandle * taskInput;
	NSPipe * inputPipe;
	
	IBOutlet AmberView * ambView;
	
	int exitCode;
	BOOL taskOK;
	int globalCounter;
	NSNotificationCenter * defaultCenter;
	
}
-(void)convertOutput:(NSString *)outputFile;
-(void)convertFile:(NSString *)path fromFormat:(NSString *)format toFormat:(NSString *)newFormat;
-(void)initializeTask:(NSString *)resourcePath;
-(void)cleanupTask:(NSNotification *)notif;

@end
